#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1363\r"; sleep 2;
echo -e "write (0,1) -1362\r"; sleep 2;
echo -e "write (0,2) -1398\r"; sleep 2;
echo -e "write (0,3) -1377\r"; sleep 2;
echo -e "write (0,4) -1358\r"; sleep 2;
echo -e "write (0,5) -1375\r"; sleep 2;
echo -e "write (0,6) -1436\r"; sleep 2;
echo -e "write (0,9) -1484\r"; sleep 2;
echo -e "write (0,10) -1423\r"; sleep 2;
echo -e "write (0,11) -1358\r"; sleep 2;
echo -e "write (0,12) -1492\r"; sleep 2;
echo -e "write (0,13) -1398\r"; sleep 2;
echo -e "write (0,14) -1362\r"; sleep 2;
echo -e "write (1,0) -1400\r"; sleep 2;
echo -e "write (1,1) -1375\r"; sleep 2;
echo -e "write (1,2) -1439\r"; sleep 2;
echo -e "write (1,3) -1446\r"; sleep 2;
echo -e "write (1,4) -1386\r"; sleep 2;
echo -e "write (1,5) -1412\r"; sleep 2;
echo -e "write (1,6) -1400\r"; sleep 2;
echo -e "write (1,9) -1416\r"; sleep 2;
echo -e "write (1,10) -1392\r"; sleep 2;
echo -e "write (1,11) -1397\r"; sleep 2;
echo -e "write (1,12) -1474\r"; sleep 2;
echo -e "write (1,13) -1378\r"; sleep 2;
echo -e "write (1,14) -1431\r"; sleep 2;
echo -e "write (2,0) -1436\r"; sleep 2;
echo -e "write (2,1) -1362\r"; sleep 2;
echo -e "write (2,2) -1363\r"; sleep 2;
echo -e "write (2,3) -1484\r"; sleep 2;
echo -e "write (2,4) -1358\r"; sleep 2;
echo -e "write (2,5) -1377\r"; sleep 2;
echo -e "write (2,6) -1375\r"; sleep 2;
echo -e "write (2,9) -1397\r"; sleep 2;
echo -e "write (2,10) -1400\r"; sleep 2;
echo -e "write (2,11) -1366\r"; sleep 2;
echo -e "write (2,12) -1378\r"; sleep 2;
echo -e "write (2,14) -1360\r"; sleep 2;
echo -e "write (3,0) -1469\r"; sleep 2;
echo -e "write (3,1) -1393\r"; sleep 2;
echo -e "write (3,2) -1359\r"; sleep 2;
echo -e "write (3,3) -1437\r"; sleep 2;
echo -e "write (3,4) -1369\r"; sleep 2;
echo -e "write (3,5) -1412\r"; sleep 2;
echo -e "write (3,6) -1362\r"; sleep 2;
echo -e "write (3,9) -1362\r"; sleep 2;
echo -e "write (3,10) -1399\r"; sleep 2;
echo -e "write (3,11) -1403\r"; sleep 2;
echo -e "write (3,12) -1358\r"; sleep 2;
echo -e "write (3,13) -1361\r"; sleep 2;
echo -e "write (3,14) -1392\r"; sleep 2;
echo -e "write (4,0) -1372\r"; sleep 2;
echo -e "write (4,1) -1364\r"; sleep 2;
echo -e "write (4,2) -1378\r"; sleep 2;
echo -e "write (4,3) -1376\r"; sleep 2;
echo -e "write (4,4) -1359\r"; sleep 2;
echo -e "write (4,5) -1366\r"; sleep 2;
echo -e "write (4,6) -1400\r"; sleep 2;
echo -e "write (4,9) -1360\r"; sleep 2;
echo -e "write (4,10) -1378\r"; sleep 2;
echo -e "write (4,11) -1365\r"; sleep 2;
echo -e "write (4,12) -1382\r"; sleep 2;
echo -e "write (4,13) -1370\r"; sleep 2;
echo -e "write (4,14) -1358\r"; sleep 2;
echo -e "write (5,0) -1431\r"; sleep 2;
echo -e "write (5,1) -1393\r"; sleep 2;
echo -e "write (5,2) -1437\r"; sleep 2;
echo -e "write (5,3) -1369\r"; sleep 2;
echo -e "write (5,4) -1374\r"; sleep 2;
echo -e "write (5,5) -1360\r"; sleep 2;
echo -e "write (5,6) -1362\r"; sleep 2;
echo -e "write (5,9) -1384\r"; sleep 2;
echo -e "write (5,10) -1406\r"; sleep 2;
echo -e "write (5,11) -1380\r"; sleep 2;
echo -e "write (5,12) -1477\r"; sleep 2;
echo -e "write (5,13) -1431\r"; sleep 2;
echo -e "write (5,14) -1380\r"; sleep 2;
echo -e "write (6,0) -1358\r"; sleep 2;
echo -e "write (6,1) -1395\r"; sleep 2;
echo -e "write (6,2) -1360\r"; sleep 2;
echo -e "write (6,3) -1358\r"; sleep 2;
echo -e "write (6,4) -1369\r"; sleep 2;
echo -e "write (6,5) -1367\r"; sleep 2;
echo -e "write (6,6) -1412\r"; sleep 2;
echo -e "write (6,9) -1361\r"; sleep 2;
echo -e "write (6,10) -1361\r"; sleep 2;
echo -e "write (6,11) -1377\r"; sleep 2;
echo -e "write (6,12) -1359\r"; sleep 2;
echo -e "write (6,13) -1395\r"; sleep 2;
echo -e "write (6,14) -1365\r"; sleep 2;
echo -e "write (7,0) -1358\r"; sleep 2;
echo -e "write (7,1) -1362\r"; sleep 2;
echo -e "write (7,2) -1359\r"; sleep 2;
echo -e "write (7,3) -1420\r"; sleep 2;
echo -e "write (7,4) -1456\r"; sleep 2;
echo -e "write (7,5) -1485\r"; sleep 2;
echo -e "write (7,6) -1436\r"; sleep 2;
echo -e "write (7,9) -1365\r"; sleep 2;
echo -e "write (7,10) -1359\r"; sleep 2;
echo -e "write (7,11) -1360\r"; sleep 2;
echo -e "write (7,12) -1376\r"; sleep 2;
echo -e "write (7,13) -1358\r"; sleep 2;
echo -e "write (7,14) -1365\r"; sleep 2;
echo -e "write (8,0) -1393\r"; sleep 2;
echo -e "write (8,1) -1371\r"; sleep 2;
echo -e "write (8,2) -1358\r"; sleep 2;
echo -e "write (8,3) -1358\r"; sleep 2;
echo -e "write (8,4) -1384\r"; sleep 2;
echo -e "write (8,5) -1374\r"; sleep 2;
echo -e "write (8,6) -1398\r"; sleep 2;
echo -e "write (8,9) -1363\r"; sleep 2;
echo -e "write (8,10) -1362\r"; sleep 2;
echo -e "write (8,11) -1469\r"; sleep 2;
echo -e "write (8,12) -1439\r"; sleep 2;
echo -e "write (8,13) -1416\r"; sleep 2;
echo -e "write (8,14) -1359\r"; sleep 2;
echo -e "write (9,0) -1372\r"; sleep 2;
echo -e "write (9,1) -1365\r"; sleep 2;
echo -e "write (9,2) -1377\r"; sleep 2;
echo -e "write (9,3) -1376\r"; sleep 2;
echo -e "write (9,4) -1391\r"; sleep 2;
echo -e "write (9,5) -1361\r"; sleep 2;
echo -e "write (9,6) -1369\r"; sleep 2;
echo -e "write (9,9) -1375\r"; sleep 2;
echo -e "write (9,10) -1358\r"; sleep 2;
echo -e "write (9,11) -1412\r"; sleep 2;
echo -e "write (9,12) -1469\r"; sleep 2;
echo -e "write (9,13) -1360\r"; sleep 2;
echo -e "write (9,14) -1423\r"; sleep 2;
echo -e "write (10,0) -1369\r"; sleep 2;
echo -e "write (10,1) -1386\r"; sleep 2;
echo -e "write (10,2) -1408\r"; sleep 2;
echo -e "write (10,3) -1416\r"; sleep 2;
echo -e "write (10,4) -1388\r"; sleep 2;
echo -e "write (10,5) -1451\r"; sleep 2;
echo -e "write (10,6) -1426\r"; sleep 2;
echo -e "write (10,9) -1396\r"; sleep 2;
echo -e "write (10,10) -1375\r"; sleep 2;
echo -e "write (10,11) -1367\r"; sleep 2;
echo -e "write (10,12) -1382\r"; sleep 2;
echo -e "write (10,13) -1406\r"; sleep 2;
echo -e "write (10,14) -1439\r"; sleep 2;
echo -e "write (11,0) -1412\r"; sleep 2;
echo -e "write (11,1) -1388\r"; sleep 2;
echo -e "write (11,2) -1371\r"; sleep 2;
echo -e "write (11,3) -1420\r"; sleep 2;
echo -e "write (11,4) -1388\r"; sleep 2;
echo -e "write (11,5) -1378\r"; sleep 2;
echo -e "write (11,6) -1406\r"; sleep 2;
echo -e "write (11,9) -1382\r"; sleep 2;
echo -e "write (11,10) -1393\r"; sleep 2;
echo -e "write (11,11) -1437\r"; sleep 2;
echo -e "write (11,12) -1406\r"; sleep 2;
echo -e "write (11,13) -1458\r"; sleep 2;
echo -e "write (11,14) -1396\r"; sleep 2;
echo -e "write (12,0) -1360\r"; sleep 2;
echo -e "write (12,1) -1474\r"; sleep 2;
echo -e "write (12,2) -1358\r"; sleep 2;
echo -e "write (12,3) -1359\r"; sleep 2;
echo -e "write (12,4) -1358\r"; sleep 2;
echo -e "write (12,5) -1362\r"; sleep 2;
echo -e "write (12,6) -1367\r"; sleep 2;
echo -e "write (12,9) -1360\r"; sleep 2;
echo -e "write (12,10) -1361\r"; sleep 2;
echo -e "write (12,11) -1358\r"; sleep 2;
echo -e "write (12,12) -1362\r"; sleep 2;
echo -e "write (12,13) -1469\r"; sleep 2;
echo -e "write (12,14) -1375\r"; sleep 2;
echo -e "write (13,0) -1431\r"; sleep 2;
echo -e "write (13,1) -1376\r"; sleep 2;
echo -e "write (13,2) -1397\r"; sleep 2;
echo -e "write (13,3) -1358\r"; sleep 2;
echo -e "write (13,4) -1399\r"; sleep 2;
echo -e "write (13,5) -1362\r"; sleep 2;
echo -e "write (13,6) -1392\r"; sleep 2;
echo -e "write (13,9) -1423\r"; sleep 2;
echo -e "write (13,10) -1412\r"; sleep 2;
echo -e "write (13,11) -1388\r"; sleep 2;
echo -e "write (13,12) -1492\r"; sleep 2;
echo -e "write (13,13) -1431\r"; sleep 2;
echo -e "write (13,14) -1377\r"; sleep 2;
echo -e "write (14,0) -1458\r"; sleep 2;
echo -e "write (14,1) -1400\r"; sleep 2;
echo -e "write (14,2) -1501\r"; sleep 2;
echo -e "write (14,3) -1367\r"; sleep 2;
echo -e "write (14,4) -1439\r"; sleep 2;
echo -e "write (14,5) -1398\r"; sleep 2;
echo -e "write (14,6) -1375\r"; sleep 2;
echo -e "write (14,9) -1456\r"; sleep 2;
echo -e "write (14,10) -1408\r"; sleep 2;
echo -e "write (14,11) -1501\r"; sleep 2;
echo -e "write (14,12) -1426\r"; sleep 2;
echo -e "write (14,13) -1376\r"; sleep 2;
echo -e "write (14,14) -1399\r"; sleep 2;
echo -e "write (15,0) -1403\r"; sleep 2;
echo -e "write (15,1) -1477\r"; sleep 2;
echo -e "write (15,2) -1416\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7006 > ../hvlog_run15/fms_hvon_7006_$t.tex
echo Set new HV
cat ../hvlog_run15/fms_hvon_7006_$t.tex
